Bug 1594479 - latest update of selinux-policy prohibits suspend when laptop lid is closed
Summary: latest update of selinux-policy prohibits suspend when laptop lid is closed
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: upower
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-23 12:48 UTC by slartibart70
Modified: 2018-07-11 23:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-10 06:58:14 UTC
Type: Bug


Attachments (Terms of Use)

Description slartibart70 2018-06-23 12:48:18 UTC
Downgrading from selinux-policy 3.13.1-283.35.fc27
to 
selinux-policy {devel|targeted}  3.13.1-283.34.fc27

solves the problem of having lots of upowerd related seliux alerts.
Moreover, suspending a session by closing the laptop lid (lenovo t470) does not work anymore with .35 - laptop stays powered on (except you manually suspend it by commandline)

Comment 1 David H. Gutteridge 2018-07-09 23:23:12 UTC
I've also encountered this issue with updates-testing packages with both Fedora 27 and 28. However, it didn't occur until upower-0.99.8 was pushed in late June. Reverting that version of upower fixed the problem for me in both releases, and I gave karma in Bodhi accordingly.

This may be a chicken vs. egg thing, but selinux-policy 3.13.1-283.35.fc27 was pushed to testing a few weeks before upower-0.99.8, and I didn't have any issues in the interim. The upower update states in Bodhi "adds sandboxing", at which point myself and other users started getting SELinux errors and broken suspension. So I'd guess that the upower maintainer perhaps tested using an older version of selinux-policy. As to which maintainer should address this, that I can't say.

Comment 2 slartibart70 2018-07-10 06:58:14 UTC
closing this bug because of upwer updates solving this problem.

Comment 3 David H. Gutteridge 2018-07-11 23:22:18 UTC
I'm not aware of any upower update that solves the problem? upower-0.99.8 introduced the problem from my perspective. You're saying it fixed it in your case?


Note You need to log in before you can comment on or make changes to this bug.